package com.gh.common.chain

import android.content.Context
import com.gh.gamecenter.feature.entity.GameEntity
import com.gh.vspace.VHelper

class ValidateVSpaceHandler : ChainHandler() {

    override fun handleRequest(context: Context, gameEntity: GameEntity) {
        VHelper.validateVSpaceBeforeAction(context, gameEntity) {
            if (hasNext()) {
                getNext()?.handleRequest(context, gameEntity)
            } else {
                processEndCallback?.invoke(null)
            }
        }
    }
}